from setuptools import setup, find_packages
import sys, os

version = '0.1'

setup(name='aw.ldap',
      version=version,
      description="LDAP Shell",
      long_description="""\
""",
      classifiers=[], # Get strings from http://pypi.python.org/pypi?%3Aaction=list_classifiers
      keywords='',
      author='Gael Pasgrimaud',
      author_email='gael.pasgrimaud@alterway.fr',
      url='',
      license='GPL',
      packages=find_packages(exclude=['ez_setup', 'examples', 'tests']),
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          # -*- Extra requirements: -*-
          'afpy.ldap',
          'python-ldap',
          'IPython',
      ],
      entry_points="""
      # -*- Entry points: -*-
      [console_scripts]
      ldapsh = awldap:main

      [paste.filter_app_factory]
      hg = awldap.authbasic:make_auth_basic
      """,
      )
