# -*- coding: utf-8 -*-
import string
import ldap
from awldap import get_conn, User, conn

iw = get_conn('ingeniweb')
iw.bind_pw = 'YxRdt#z}'

iw_users = []
attrs = ['cn', 'gidNumber', 'uidNumber']

def get_users(f=''):
    for l in string.ascii_lowercase:
        try:
            iw_users.extend(
               iw.search_nodes(filter='(&(uid=%s%s*)(objectClass=posixaccount))' % (f, l), attrs=attrs)
               )
        except ldap.SIZELIMIT_EXCEEDED:
            get_users(l)

get_users()
iw_users = [u for u in iw_users]

def migrate(commit=False):
    print 'Commit is %s' % commit
    for iw_u in iw_users:
        cn = iw_u.cn
        if isinstance(cn, list):
            cn = cn[0]
        user = conn.get_user(cn)
        try:
            user.uidNumber
        except ValueError, e:
            #print '%r dos not exist' % user
            continue
        changed = False
        if user.uidNumber != int(iw_u.uidNumber):
            changed = True
        if user.gidNumber != int(iw_u.gidNumber):
            changed = True
        if changed:
            print cn, ': iw -> (%(uidNumber)s, %(gidNumber)s)' % iw_u._data, 'aw -> (%(uidNumber)s, %(gidNumber)s)' % user._data
            exists = conn.search_nodes(filter='uidNumber=%(uidNumber)s' % iw_u._data)
            if len(exists):
                print 'Got %s' % exists
            else:
                user.uidNumber = int(iw_u.uidNumber)
                user.gidNumber = int(iw_u.gidNumber)
                if commit:
                    try:
                        user.save()
                    except ldap.INSUFFICIENT_ACCESS, e:
                        print 'Commit fail: %s' % e


